@Echo off
REM **********************************************
REM Set File Dates to Parsed Dates
REM **********************************************
goto %1
:all
setlocal ENABLEDELAYEDEXPANSION
for /F "tokens=1,2,3,4,5,6 delims=-" %%a in ('dir /b /o *.mp4 *.mkv *.mov *.wmv *.avi *.nfo') do (
set year=%%b
set month=%%c
set day=%%d
set actor=%%e
set title=%%f
filetouch /W /A /C /D !month!-!day:~0,2!-!year:~1,4! /T 12:34:56 "%%a-%%b-%%c-%%d-%%e-%%f"
IF EXIST "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!-thumb.jpg" filetouch /W /A /C /D !month!-!day:~0,2!-!year:~1,4! /T 12:34:56 "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!-thumb.jpg"
)
goto end
:backup
setlocal ENABLEDELAYEDEXPANSION
for /F "tokens=1,2,3,4,5,6 delims=-" %%a in ('dir /b /o *.mp4 *.mkv *.mov *.wmv *.avi *.nfo') do (
set year=%%b
set month=%%c
set day=%%d
set actor=%%e
set title=%%f
filetouch /W /A /C /D !month!-!day:~0,2!-!year:~1,4! /T 12:34:56 "%%a-%%b-%%c-%%d-%%e-%%f"
IF EXIST "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!-thumb.jpg" filetouch /W /A /C /D !month!-!day:~0,2!-!year:~1,4! /T 12:34:56 "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!-thumb.jpg"
)
goto end
:one
setlocal ENABLEDELAYEDEXPANSION
for /F "tokens=1,2,3,4,5 delims=-" %%a in ('dir /b /o *.mp4 *.mkv *.mov *.wmv *.avi *.nfo') do (
set year=%%b
set month=%%c
set day=%%d
set actor=%%e
filetouch /W /A /C /D !month!-!day:~0,2!-!year:~1,4! /T 12:34:56 "%%a-%%b-%%c-%%d-%%e"
IF EXIST "%%a-%%b-%%c-%%d-!actor:~0,-4!-thumb.jpg" filetouch /W /A /C /D !month!-!day:~0,2!-!year:~1,4! /T 12:34:56 "%%a-%%b-%%c-%%d-!actor:~0,-4!-thumb.jpg"
)
goto end
:none
setlocal ENABLEDELAYEDEXPANSION
for /F "tokens=1,2,3,4 delims=-" %%a in ('dir /b /o *.mp4 *.mkv *.mov *.wmv *.avi *.nfo') do (
set year=%%b
set month=%%c
set day=%%d
filetouch /W /A /C /D !month!-!day:~0,-4!-!year:~1,4! /T 12:34:56 "%%a-%%b-%%c-%%d"
IF EXIST "%%a-%%b-%%c-%%d-thumb.jpg" filetouch /W /A /C /D !month!-!day:~0,-4!-!year:~1,4! /T 12:34:56 "%%a-%%b-%%c-!day:~0,-4!-thumb.jpg"
)
goto end
:files
setlocal ENABLEDELAYEDEXPANSION
for /F "tokens=1,2,3,* delims=-" %%a in ('dir /b /o *.mp4 *.mkv *.mov *.wmv *.avi *.jpg *.png') do (
set year=%%a
set month=%%b
set day=%%c
filetouch /W /A /C /D !month!-!day:~0,2!-!year! /T 12:34:56 "%%a-%%b-%%c-%%d"
)
goto end
:end
pause