@Echo off
REM **********************************************
REM Generate Kodi .NFO for Each Video File
REM **********************************************
goto %1
:all
setlocal ENABLEDELAYEDEXPANSION
set /P "episode=Please enter the episode number to start at minus 1:"
rem set episode=0
for /F "tokens=1,2,3,4,5,6 delims=-" %%a in ('dir /b /o *.mp4 *.mkv *.mov *.wmv *.avi') do (
set /A episode=episode+1
set year=%%b
set month=%%c
set day=%%d
set actor=%%e
set title=%%f
Echo ^<?xml version="1.0" encoding="utf-8"?^> > "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo ^<episodedetails^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo   ^<title^>!title:~1,-4!^</title^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo   ^<aired^>!year:~1,4!-!month!-!day:~0,2!^</aired^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo   ^<season^>!year:~1,4!^</season^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo   ^<episode^>!episode!^</episode^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo   ^<plot^>^</plot^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo   ^<actor^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo     ^<name^>!actor:~1,-1!^</name^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo     ^<role /^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo     ^<thumb /^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo   ^</actor^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo ^</episodedetails^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
)
goto end
:actoronly
setlocal ENABLEDELAYEDEXPANSION
set /P "episode=Please enter the episode number to start at minus 1:"
rem set episode=0
for /F "tokens=1,2,3,4,5 delims=-" %%a in ('dir /b /o *.mp4 *.mkv *.mov *.wmv *.avi') do (
set /A episode=episode+1
set year=%%b
set month=%%c
set day=%%d
set actor=%%e
Echo ^<?xml version="1.0" encoding="utf-8"?^> > "%%a-%%b-%%c-%%d-!actor:~0,-4!.nfo"
Echo ^<episodedetails^> >> "%%a-%%b-%%c-%%d-!actor:~0,-4!.nfo"
Echo   ^<title^>!actor:~1,-4!^</title^> >> "%%a-%%b-%%c-%%d-!actor:~0,-4!.nfo"
Echo   ^<aired^>!year:~1,4!-!month!-!day:~0,2!^</aired^> >> "%%a-%%b-%%c-%%d-!actor:~0,-4!.nfo"
Echo   ^<season^>!year:~1,4!^</season^> >> "%%a-%%b-%%c-%%d-!actor:~0,-4!.nfo"
Echo   ^<episode^>!episode!^</episode^> >> "%%a-%%b-%%c-%%d-!actor:~0,-4!.nfo"
Echo   ^<plot^>^</plot^> >> "%%a-%%b-%%c-%%d-!actor:~0,-4!.nfo"
Echo   ^<actor^> >> "%%a-%%b-%%c-%%d-!actor:~0,-4!.nfo"
Echo     ^<name^>!actor:~1,-4!^</name^> >> "%%a-%%b-%%c-%%d-!actor:~0,-4!.nfo"
Echo     ^<role /^> >> "%%a-%%b-%%c-%%d-!actor:~0,-4!.nfo"
Echo     ^<thumb /^> >> "%%a-%%b-%%c-%%d-!actor:~0,-4!.nfo"
Echo   ^</actor^> >> "%%a-%%b-%%c-%%d-!actor:~0,-4!.nfo"
Echo ^</episodedetails^> >> "%%a-%%b-%%c-%%d-!actor:~0,-4!.nfo"
)
goto end
:titleonly
setlocal ENABLEDELAYEDEXPANSION
set /P "episode=Please enter the episode number to start at minus 1:"
rem set episode=0
for /F "tokens=1,2,3,4,5 delims=-" %%a in ('dir /b /o *.mp4 *.mkv *.mov *.wmv *.avi') do (
set /A episode=episode+1
set year=%%b
set month=%%c
set day=%%d
set title=%%e
Echo ^<?xml version="1.0" encoding="utf-8"?^> > "%%a-%%b-%%c-%%d-!title:~0,-4!.nfo"
Echo ^<episodedetails^> >> "%%a-%%b-%%c-%%d-!title:~0,-4!.nfo"
Echo   ^<title^>!title:~1,-4!^</title^> >> "%%a-%%b-%%c-%%d-!title:~0,-4!.nfo"
Echo   ^<aired^>!year:~1,4!-!month!-!day:~0,2!^</aired^> >> "%%a-%%b-%%c-%%d-!title:~0,-4!.nfo"
Echo   ^<season^>!year:~1,4!^</season^> >> "%%a-%%b-%%c-%%d-!title:~0,-4!.nfo"
Echo   ^<episode^>!episode!^</episode^> >> "%%a-%%b-%%c-%%d-!title:~0,-4!.nfo"
Echo   ^<plot^>^</plot^> >> "%%a-%%b-%%c-%%d-!title:~0,-4!.nfo"
Echo ^</episodedetails^> >> "%%a-%%b-%%c-%%d-!title:~0,-4!.nfo"
)
goto end
:reversed
setlocal ENABLEDELAYEDEXPANSION
set /P "episode=Please enter the episode number to start at minus 1:"
rem set episode=0
for /F "tokens=1,2,3,4,5,6 delims=-" %%a in ('dir /b /o *.mp4 *.mkv *.mov *.wmv *.avi') do (
set /A episode=episode+1
set year=%%b
set month=%%c
set day=%%d
set actor=%%f
set title=%%e
Echo ^<?xml version="1.0" encoding="utf-8"?^> > "%%a-%%b-%%c-%%d-%%e-!actor:~0,-4!.nfo"
Echo ^<episodedetails^> >> "%%a-%%b-%%c-%%d-%%e-!actor:~0,-4!.nfo"
Echo   ^<title^>!title:~1,-1!^</title^> >> "%%a-%%b-%%c-%%d-%%e-!actor:~0,-4!.nfo"
Echo   ^<aired^>!year:~1,4!-!month!-!day:~0,2!^</aired^> >> "%%a-%%b-%%c-%%d-%%e-!actor:~0,-4!.nfo"
Echo   ^<season^>!year:~1,4!^</season^> >> "%%a-%%b-%%c-%%d-%%e-!actor:~0,-4!.nfo"
Echo   ^<episode^>!episode!^</episode^> >> "%%a-%%b-%%c-%%d-%%e-!actor:~0,-4!.nfo"
Echo   ^<plot^>^</plot^> >> "%%a-%%b-%%c-%%d-%%e-!actor:~0,-4!.nfo"
Echo   ^<actor^> >> "%%a-%%b-%%c-%%d-%%e-!actor:~0,-4!.nfo"
Echo     ^<name^>!actor:~1,-4!^</name^> >> "%%a-%%b-%%c-%%d-%%e-!actor:~0,-4!.nfo"
Echo     ^<role /^> >> "%%a-%%b-%%c-%%d-%%e-!actor:~0,-4!.nfo"
Echo     ^<thumb /^> >> "%%a-%%b-%%c-%%d-%%e-!actor:~0,-4!.nfo"
Echo   ^</actor^> >> "%%a-%%b-%%c-%%d-%%e-!actor:~0,-4!.nfo"
Echo ^</episodedetails^> >> "%%a-%%b-%%c-%%d-%%e-!actor:~0,-4!.nfo"
)
goto end
:numbers
setlocal ENABLEDELAYEDEXPANSION
set /P "episode=Please enter the episode number to start at minus 1:"
rem set episode=0
for /F "tokens=1,2,3,4,5,6 delims=-" %%a in ('dir /b /o *.mp4 *.mkv *.mov *.wmv *.avi') do (
set /A episode=episode+1
set year=%%b
set month=%%c
set day=%%d
set number=%%e
set title=%%f
Echo ^<?xml version="1.0" encoding="utf-8"?^> > "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo ^<episodedetails^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo   ^<title^>!title:~1,-4!^</title^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo   ^<aired^>!year:~1,4!-!month!-!day:~0,2!^</aired^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo   ^<season^>!year:~1,4!^</season^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo   ^<episode^>!episode!^</episode^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo   ^<plot^>^</plot^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo   ^<displayepisode^>!number:~1,-1!^</displayepisode^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo ^</episodedetails^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
)
goto end
:pornstar_site
setlocal ENABLEDELAYEDEXPANSION
set /P "episode=Please enter the episode number to start at minus 1:"
rem set episode=0
for /F "tokens=1,2,3,4,5,6 delims=-" %%a in ('dir /b /o *.mp4 *.mkv *.mov *.wmv *.avi *.mpg') do (
set /A episode=episode+1
set actor=%%a
set year=%%b
set month=%%c
set day=%%d
set site=%%e
set title=%%f
Echo ^<?xml version="1.0" encoding="utf-8"?^> > "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo ^<episodedetails^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo   ^<title^>!site:~1,-1!: !title:~1,-4!^</title^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo   ^<aired^>!year:~1,4!-!month!-!day:~0,2!^</aired^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo   ^<season^>!year:~1,4!^</season^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo   ^<episode^>!episode!^</episode^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo   ^<plot^>^</plot^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo   ^<actor^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo     ^<name^>!actor:~0,-1!^</name^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo     ^<role /^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo     ^<thumb /^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo   ^</actor^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
Echo ^</episodedetails^> >> "%%a-%%b-%%c-%%d-%%e-!title:~0,-4!.nfo"
)
goto end
:end